import re


def is_valid_line(text: str) -> bool:
    text = text.strip()
    if len(text) < 10:
        return False
    if not re.search(r"[a-zA-Z]", text):
        return False
    if any(c in text for c in ["�", "\ufffd"]):
        return False
    return True
